
//  Simple program to dump a TinyUSB generated descripter into a PASM2 byte array
//
//
//
//  this file is meant to be placed in 
//  tinyusb/examples/device/video_capture/src/print_desctiptors.c  
//  
//  you may need to add this line to usb_descriptors.h and usb_descriptors.c
//#define CFG_TUSB_MCU OPT_MCU_RP2040
//
//  compile and run on PC
//  gcc print_desctiptors.c usb_descriptors.c -I ../../../../src/ -I . -I ../../../../hw && ./a.out
//
#include "usb_descriptors.h"
#define CFG_TUSB_MCU OPT_MCU_RP2040

#include "tusb.h"

#include <stdio.h>

int main(){
	int i,j,k;
	unsigned char * config;
	//config=tud_descriptor_device_cb();
	config=tud_descriptor_configuration_cb(0);
        j=((int)config[3])*256+((int)config[2]);
	printf("                        word    %d ' Size of configuration descriptor, internal P2 use only\n",j);
	for(i=0;i<j;i++)
	printf("                        byte    $%02x   ' [%3d]\n",config[i],i);
	return 0;
}
